## iitalian 2.3

=== Makefile ===
SHELL      = /bin/sh
MAKE       = make
BUILDHASH  = buildhash
MUNCHLIST  = munchlist
LANGUAGE   = italian
AFFIXES    = $(LANGUAGE).aff
DICTIONARY = $(LANGUAGE).words
HASHFILE   = $(LANGUAGE).hash
INSTALLDIR = /usr/lib/ispell

all: $(HASHFILE)

$(HASHFILE):	$(AFFIXES) $(LANGUAGE).words+
	rm -f $(HASHFILE)
	$(BUILDHASH) $(LANGUAGE).words+ $(AFFIXES) $(HASHFILE)

$(LANGUAGE).words+: $(AFFIXES) $(DICTIONARY)
	$(MUNCHLIST) -v -l $(AFFIXES) $(DICTIONARY) > $(LANGUAGE).words+

build: $(AFFIXES) $(LANGUAGE).words+
	$(BUILDHASH) $(LANGUAGE).words+ $(AFFIXES) $(HASHFILE)

clean:
	rm -f core $(HASHFILE) $(LANGUAGE).words+ $(LANGUAGE).words+.cnt \
		$(LANGUAGE).words+.stat
