=== debian/changelog ===
iitalian (1:2.3-3.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Convert to source format 3.0.
    (closes: #1043189)

 -- Bastian Germann <bage@debian.org>  Fri, 29 Sep 2023 11:40:27 +0200

iitalian (1:2.3-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/compat: 5 -> 7. (Closes: #965591)
  * debian/rules: Add build-{arch,indep}. (Closes: #999201)
  * Rebuild with new ispell. (Closes: #996361)

 -- Adrian Bunk <bunk@debian.org>  Fri, 11 Nov 2022 23:53:01 +0200

iitalian (1:2.3-3) unstable; urgency=low

  [ Robert Luberda ]
  * Rebuild with new ispell.

  [ Norbert Preining ]
  * add misc:Depends dependency
  * remove post{inst,rm}.debhelper, it is auto generated
  * reword synopsis (lintian warning)
  * bump standards version to 3.9.2, no changes necessary

  [ Francesco Paolo Lovergine ]
  * Ready for unstable, thanks guys.
    (closes: #620182)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 17 May 2011 23:40:48 +0200

iitalian (1:2.3-2) unstable; urgency=low

  * Added a debconf-2.0 virtual dependency. Thanks Victor Seva.
    (closes: #331855)
  * Policy bumped to 3.7.2
  * Moved to debhelper compatibility level 5, changing a bit the pkg build-up.
    Added a compat file.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu,  2 Nov 2006 14:47:00 +0100

iitalian (1:2.3-1) unstable; urgency=high

  * Policy bumped to 3.6.1
  * New upstream version. Using epoch to adopt the correct version numbering.
    (closes: #198899)
  * Updating to current dictionaries-common.
    (closes: #232156)
  * Changelog encoding changed to UTF-8.
  * Updated copyright file.
  * Short description cleaned.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 11 Feb 2004 10:35:32 +0100

iitalian (2.20-2) unstable; urgency=low

  * New maintainer. (With permission of the previuos one).
  * Description now is in english.
  * Policy updated to 3.5.8.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Thu, 20 Feb 2003 09:29:56 +0100

iitalian (2.20-1.4) unstable; urgency=low

  * Non-Maintainer Upload
  * New policy package made after the experimental package at 
    sourceforge (closes: #164249, #71904)
  * Last minute changes:
    - Added dictionaries-common dependency.
    - Added dictionaries-common-dev build-dependency
    - Readded 'Francesco Tapparo <cesco@debian.org>' as package 
      maintainer after the experimental versions with my name.
    - Removed comments about the experimental character of the 
      package
  * Capitalizing the word Italian (closes: #124753)

 -- Agustìn Martìn Domingo <agmartin@debian.org>  Tue, 22 Oct 2002 18:16:35 +0200

iitalian (2.20-1.3) unstable; urgency=low

  * Added a Pspell-Ispell field to info-ispell file with contents 
    'it iso8859-1'. Since we use installdeb-ispell this will autogenerate 
    the appropiate pspell-ispell pwli files.

 -- Agustìn Martìn Domingo <agmartin@debian.org>  Tue, 11 Jun 2002 17:08:54 +0200

iitalian (2.20-1.2) unstable; urgency=low

  * Rebuilding against ispell 3.1.20-30. Will now use MAXSTRINGCHARS=128

 -- Agustìn Martìn Domingo <agmartin@debian.org>  Fri, 15 Feb 2002 13:50:35 +0100

iitalian (2.20-1.1) unstable; urgency=low

  * Test version after the policy proposal for dictionaries and wordlists.
  * Adapted control file to the policy proposal.
  * Removed postinst and prerm.
  * debian/rules: Changed rules to use installdeb-ispell.
  * Added debian/info-ispell file
  * Added dh_clean to the clean target

 -- Agustìn Martìn Domingo <agmartin@debian.org>  Tue,  4 Dec 2001 13:47:13 +0100

iitalian (2.20-1) unstable; urgency=low

  * new upstream release
  * debian/rules was using the binary-indep target: this was wrong.
    (closes: Bug#94553)
  * updated the control file to reflect the new number of words present
    in the dictionary
  * named the upstream release as 2.20 instead of 2.2, because dpkg
    thinks 2.2 < 2.03

 -- Francesco Tapparo <cesco@debian.org>  Sat, 23 Jun 2001 21:16:28 +0200

iitalian (2.03-1) unstable; urgency=low

  * new maintainer: Francesco Tapparo cesco@debian.org
  * new upstream version: now based on the unified dictionary of Loris
    Palmerini (closes: bug#92119)
  * Architecture is any and not all, because the hash dictionary are
    subject to big/little endian differences (closes: bug#76372)
  * updated the package description to  reflect the new size of the
    dictionary
  * created a Build-Depends field with the entries ispell and debhelper
  * added the #DEBHELPER# token to postinst e prerm
  * now iitalian install the link /usr/share/doc/iitalian ->
    /usr/doc/iitalian as required by the policy
  * verified compliance to Policy 3.5.20

 -- Francesco Tapparo <cesco@debian.org>  Sun,  1 Apr 2001 14:11:40 +0200

iitalian (0.03-2) unstable; urgency=low

  * un-debstd-ized with debhelper.
  * recompiled to align with newer ispell (closes: #43350).
  * upgraded to Standards-Version 2.5.0.0
  * corrected ftp address of upstream site.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed,  1 Oct 1997 10:30:03 +0300

iitalian (0.03-1) unstable; urgency=low

  * new upstream release with 116.000 words and better affix table.

 -- Fabrizio Polacco <fpolacco@debian.org>  Wed,  1 Oct 1997 10:30:03 +0300

iitalian (0.02-1) unstable; urgency=low

  * Initial Release.

 -- Fabrizio Polacco <fpolacco@debian.org>  Sun, 16 Feb 1997 18:10:14 +0200
