=== debian/control ===
Source: iitalian
Section: text
Priority: optional
Maintainer: Francesco Paolo Lovergine <frankie@debian.org>
Standards-Version: 3.9.2
Build-Depends: ispell (>= 3.3.02), debhelper(>=5.0.0), dictionaries-common-dev (>=0.20)

Package: iitalian
Architecture: any
Depends: ispell (>= 3.3.02), debconf | debconf-2.0, dictionaries-common (>=0.20), ${misc:Depends}
Suggests: witalian
Provides: ispell-dictionary
Description: Italian dictionary for ispell
 This is an italian dictionary to be used with ispell.
 It contains more than 185,000 italian words.
