=== debian/rules ===
#!/usr/bin/make -f
#

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

package=iitalian

build:
	dh_testdir
	buildhash italian.words italian.aff italian.hash
	touch build

clean:
	dh_testdir
	-rm -f build
	-rm -f italian.hash italian.stat
	-rm -f `find . -name "*~"`
	-rm -rf debian/iitalian debian/files* core debian/substvars
	dh_clean

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)	
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/ispell
	dh_install
	dh_installdocs AUTHORS CAMBI DA-FARE.txt FUSIONE.txt collab.txt palama.txt
	dh_installchangelogs CHANGES
	installdeb-ispell  # This calls internally dh_installdebconf
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really
binary:	binary-indep binary-arch

build-arch: build
build-indep: build

.PHONY: binary binary-arch binary-indep build-arch build-indep clean checkroot
