## iitalian 2.20-1

=== debian/control ===
Source: iitalian
Section: text
Priority: optional
Maintainer: Francesco Tapparo <cesco@debian.org>
Standards-Version: 3.5.2.0
Build-Depends: ispell, debhelper

Package: iitalian
Architecture: any
Depends: ispell
Provides: ispell-dictionary
Description: The italian dictionary for ispell.
 Questo dizionario, da usarsi con il programma ispell,
 contiene oltre 185.000 parole italiane.
