=== debian/rules ===
#!/usr/bin/make -f
#

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

package=iitalian

build:
	dh_testdir
	buildhash italian.words italian.aff italian.hash
	touch build

clean:
	dh_testdir
	-rm -f build
	-rm -f italian.hash italian.words.cnt italian.words.stat
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars

binary-indep:	build
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch:	checkroot build
	$(checkdir)	
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs usr/lib/ispell
	#
	install -g root -m 644 -o root italian.aff \
	        debian/tmp/usr/lib/ispell/italian.aff
	install -g root -m 644 -o root italian.hash \
	        debian/tmp/usr/lib/ispell/italian.hash
	#
	dh_installdocs AUTHORS CAMBI DA-FARE.txt \
	               FUSIONE.txt collab.txt palama.txt
	dh_installchangelogs CHANGES
	dh_movefiles
	dh_compress
	dh_fixperms
	dh_gencontrol
	dh_installdeb
	dh_md5sums
	dh_builddeb

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

.PHONY: binary binary-arch binary-indep clean checkroot
