## iitalian 5.1.1

=== debian/changelog ===
iitalian (1:5.1.1-1) unstable; urgency=medium

  * QA upload.
  * Orphan package
    Closes: #1111279
  * Obtain new upstream source from Debian hunspell package
    Closes: #530240
  * Maintain package in Debian team on Salsa
  * Add Homepage
  * Standards-Version: 4.7.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/copyright (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * No tab in license text (routine-update)
  * Trim trailing whitespace.
  * debian/rules: Convert to short dh
  * Lintian-overrides for national-encoding
  * Fix spelling in description
  * Add README.Debian

 -- Andreas Tille <tille@debian.org>  Tue, 19 Aug 2025 12:15:08 +0200
