=== debian/control ===
Source: iitalian
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: text
Priority: optional
Build-Depends: ispell,
               debhelper-compat (= 13),
               dictionaries-common-dev
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian/iitalian
Vcs-Git: https://salsa.debian.org/debian/iitalian.git
Homepage: https://sourceforge.net/projects/linguistico/

Package: iitalian
Architecture: any
Depends: ispell,
         debconf | debconf-2.0,
         dictionaries-common,
         ${misc:Depends}
Suggests: witalian
Provides: ispell-dictionary
Description: Italian dictionary for ispell
 This is an Italian dictionary to be used with ispell.
 It contains more than 185,000 Italian words.
